Developer Documentation

Public Member Functions | Static Public Attributes | List of all members
PeelLayerModifier Class Reference
Inheritance diagram for PeelLayerModifier:

## Public Member Functions
void | modifyFragmentIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the fragment shader. More...
void | modifyFragmentBeginCode (QStringList *_code)
| Append code the the fragment shader. More...
void | modifyFragmentEndCode (QStringList *_code)
| Append code the the fragment shader. More...
Public Member Functions inherited from ACG::ShaderModifier
virtual void | modifyVertexIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the vertex shader. More...
virtual void | modifyVertexBeginCode (QStringList *_code)
| Append code the the vertex shader. More...
virtual void | modifyVertexEndCode (QStringList *_code)
| Append code the the vertex shader. More...
virtual void | modifyGeometryIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the geometry shader. More...
virtual void | modifyTessControlIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation control shader. More...
virtual void | modifyTessEvalIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation evaluation shader. More...
virtual void | modifyLightingCode (QStringList *_code, int _lightId, ShaderGenLightType _lightType)
| Modify the default lighting code of the shader generator. More...
virtual bool | replaceDefaultLightingCode ()
| Specify whether this modifier replaces or extends the default lighting code. More...
unsigned int | getID ()
| Returns the modifier ID. More...
| operator std::vector< unsigned int > () const
std::vector< unsigned int > | operator| (const std::vector< unsigned int > &_v) const

## Static Public Attributes
static PeelLayerModifier | instance

## Additional Inherited Members
Static Public Member Functions inherited from ACG::ShaderModifier
static ShaderModifier * | loadFromFile (QString _filename)
| Load a modifier from file. More...

## Detailed Description

Definition at line 62 of file DepthPeeling.cc.

## Member Function Documentation

## ◆ modifyFragmentBeginCode()

void PeelLayerModifier::modifyFragmentBeginCode | ( | QStringList * | _code | ) |
| inline virtual

Append code the the fragment shader.

Refer to the generation structure (Shader Generator ) to see where your code is added and which variables you can modify. Use

_code->push_back("...");

to insert your code here

Parameters

  _code | string list of shader code.

Reimplemented from ACG::ShaderModifier.

Definition at line 74 of file DepthPeeling.cc.

## ◆ modifyFragmentEndCode()

void PeelLayerModifier::modifyFragmentEndCode | ( | QStringList * | _code | ) |
| inline virtual

Append code the the fragment shader.

Refer to the generation structure (Shader Generator ) to see where your code is added and which variables you can modify. Use

_code->push_back("...");

to insert your code here.

Parameters

  _code | string list of shader code.

Reimplemented from ACG::ShaderModifier.

Definition at line 81 of file DepthPeeling.cc.

## ◆ modifyFragmentIO()

void PeelLayerModifier::modifyFragmentIO | ( | ShaderGenerator * | _shader | ) |
| inline virtual

Add your own inputs/outputs to the fragment shader.

your implementation may look like this:

_shader->addInput("sampler2D depthSampler");
_shader->addUniform("vec4 shaderParam");

Parameters

  _shader | shader interface

Reimplemented from ACG::ShaderModifier.

Definition at line 67 of file DepthPeeling.cc.

The documentation for this class was generated from the following file:

- PluginCollection-Renderers/Plugin-Render-DepthPeeling/DepthPeeling.cc